#
# spec file for package perl-Pod-Readme
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Pod-Readme
Version:        1.1.2
Release:        lp150.1.3
%define cpan_name Pod-Readme
Summary:        Intelligently generate a README file from POD
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Pod-Readme/
Source0:        https://cpan.metacpan.org/authors/id/R/RR/RRWO/%{cpan_name}-v%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(CPAN::Changes) >= 0.30
BuildRequires:  perl(CPAN::Meta)
BuildRequires:  perl(Class::Method::Modifiers) >= 2.00
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.56
BuildRequires:  perl(File::Slurp)
BuildRequires:  perl(Getopt::Long::Descriptive)
BuildRequires:  perl(IO::String)
BuildRequires:  perl(List::Util) >= 1.33
BuildRequires:  perl(Module::CoreList)
BuildRequires:  perl(Module::Load)
BuildRequires:  perl(Moo) >= 1.004005
BuildRequires:  perl(Moo::Role)
BuildRequires:  perl(MooX::HandlesVia)
BuildRequires:  perl(Path::Tiny) >= 0.018
BuildRequires:  perl(Pod::Simple)
BuildRequires:  perl(Role::Tiny)
BuildRequires:  perl(Test::Deep)
BuildRequires:  perl(Test::Exception)
BuildRequires:  perl(Try::Tiny)
BuildRequires:  perl(Type::Tiny)
BuildRequires:  perl(Types::Standard)
BuildRequires:  perl(namespace::autoclean)
BuildRequires:  perl(version) >= 0.77
Requires:       perl(CPAN::Changes) >= 0.30
Requires:       perl(CPAN::Meta)
Requires:       perl(Class::Method::Modifiers) >= 2.00
Requires:       perl(ExtUtils::MakeMaker) >= 6.56
Requires:       perl(File::Slurp)
Requires:       perl(Getopt::Long::Descriptive)
Requires:       perl(List::Util) >= 1.33
Requires:       perl(Module::CoreList)
Requires:       perl(Module::Load)
Requires:       perl(Moo) >= 1.004005
Requires:       perl(Moo::Role)
Requires:       perl(MooX::HandlesVia)
Requires:       perl(Path::Tiny) >= 0.018
Requires:       perl(Pod::Simple)
Requires:       perl(Role::Tiny)
Requires:       perl(Try::Tiny)
Requires:       perl(Type::Tiny)
Requires:       perl(Types::Standard)
Requires:       perl(namespace::autoclean)
Requires:       perl(version) >= 0.77
Recommends:     perl(Pod::Markdown)
Recommends:     perl(Pod::Simple::LaTeX)
Recommends:     perl(Type::Tiny::XS)
%{perl_requires}

%description
This module filters POD to generate a _README_ file, by using POD commands
to specify which parts are included or excluded from the _README_ file.

%prep
%setup -q -n %{cpan_name}-v%{version}
# MANUAL BEGIN
sed -i -e 's/use inc::Module::Install/use lib q[.];\nuse inc::Module::Install/' Makefile.PL
# MANUAL END

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes

%changelog
* Tue Oct  3 2017 coolo@suse.com
- patch the Makefile to build with perl 5.26
* Thu Apr 16 2015 coolo@suse.com
- updated to 1.1.2
  see /usr/share/doc/packages/perl-Pod-Readme/Changes
* Fri Mar 14 2014 chris@computersalat.de
- fix for bnc#851647
  * /usr/bin/pod2readme not executable
* Fri Mar  4 2011 chris@computersalat.de
- update to version 0.11
  - Recognise the =encoding directive, rather than dying when it's
    encountered.
    TODO: actually take heed of it.
    Thanks to Ivan Bessarabov for bringing this to my attention!
- 0.10  2010-05-19
  - David Precious <davidp@preshweb.co.uk> taking over maintainership
  - Apply POD fix patch from RT #38328, thanks to David A. Desrosiers
- recreated by cpanspec 1.78.03
  - fix deps
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Sat Jul 25 2009 chris@computersalat.de
- spec mods
  * removed ^----------
  * removed ^#---------
* Sat Jun 27 2009 chris@computersalat.de
- initial pkg 0.09
